<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];

@$xempresa_transporte=$_REQUEST['xempresa_transporte'];
@$xplaca=$_REQUEST['xplaca'];
@$xmarca=$_REQUEST['xmarca'];
@$xmodelo=$_REQUEST['xmodelo'];
@$xano=$_REQUEST['xano'];
@$xcolor=$_REQUEST['xcolor'];

@$xpeso_bruto=$_REQUEST['xpeso_bruto'];
@$xpeso_neto=$_REQUEST['xpeso_neto'];
@$xcarga_util=$_REQUEST['xcarga_util'];

@$xlargo=$_REQUEST['xlargo'];
@$xalto=$_REQUEST['xalto'];
@$xancho=$_REQUEST['xancho'];

@$xcertificado_inscripcion=$_REQUEST['xcertificado_inscripcion'];

@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$veh = new Vehiculos;

switch($xaccion){
	
	case "adicionar": 
		if($veh->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Vehículo creado satisfactoriamente.")
			parent.location.href="../vehiculos.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($veh->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Vehículo modificado satisfactoriamente.")
			parent.location.href="../vehiculos.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":	
		//if($vali->marcas($conexion,$xaccion,$xid)==1){
		/*
		if($veh->transportistas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
		*/
	
			if($veh->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Vehículo eliminado satisfactoriamente.")
				parent.location.href="../vehiculos.php";
				</script>			
				<?php
				
			}
		//}			
		break;

	case "activar":
		if($veh->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Vehiculos{

	//Adiciona registro
	function adicionar($conexion){
	
		global $xaccion, $xid, $xusuario_sesion, $xempresa_transporte, $xplaca, $xmarca, $xmodelo, $xano, $xcolor, $xpeso_bruto, $xpeso_neto, $xcarga_util, $xlargo, $xalto, $xancho, $xcertificado_inscripcion;
		
		$r = mysqli_query($conexion,"insert into vehiculos (veh_placa,
													veh_marca,
													veh_modelo,
													veh_ano,
													veh_color,
													veh_peso_bruto,
													veh_peso_neto,
													veh_carga_util,
													veh_largo,
													veh_alto,
													veh_ancho,
													veh_usu_crea,
												  	traemp_codi_fk,
													veh_certificado)
										values ('$xplaca', 
												'$xmarca', 
												'$xmodelo', 
												'$xano', 
												'$xcolor', 
												'$xpeso_bruto', 
												'$xpeso_neto', 
												'$xcarga_util', 
												'$xlargo', 
												'$xalto', 
												'$xancho',
												'$xusuario_sesion',
												'$xempresa_transporte',
												'$xcertificado_inscripcion');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		global $xaccion, $xid, $xusuario_sesion, $xempresa_transporte, $xplaca, $xmarca, $xmodelo, $xano, $xcolor, $xpeso_bruto, $xpeso_neto, $xcarga_util, $xlargo, $xalto, $xancho, $xcertificado_inscripcion;		

		$r = mysqli_query($conexion,"update vehiculos set veh_placa = '$xplaca',
													veh_marca = '$xmarca',
													veh_modelo = '$xmodelo',
													veh_ano = '$xano',
													veh_color = '$xcolor',
													veh_peso_bruto = '$xpeso_bruto',
													veh_peso_neto = '$xpeso_neto',
													veh_carga_util = '$xcarga_util',
													veh_largo = '$xlargo',
													veh_alto = '$xalto',
													veh_ancho = '$xancho',
													veh_usu_modifica = '$xusuario_sesion',
												  	traemp_codi_fk = '$xempresa_transporte',
													veh_certificado = '$xcertificado_inscripcion' 
										where veh_codi = $xid;");
		
		if($r){		
				
			return 1;
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from vehiculos where veh_codi = $xid;");
		
		if($r){		
				
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;	
		
			?>			
			<script language="javascript">
			//alert("estado.");
			</script>			
			<?php			

		$r = mysqli_query($conexion,"update vehiculos set veh_estado = '$xestado',
												 veh_usu_activa = '$xusuario_sesion' 
											where veh_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
